apiVersion: v1
kind: Service
metadata:
  name: {{ include "nominatim.serviceName" . }}
  namespace: {{ .Values.global.namespace }}
  labels:
    {{- include "nominatim.labels" . | nindent 4 }}
  {{- with .Values.serviceAnnotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  selector:
    {{- include "nominatim.selectorLabels" . | nindent 4 }}
  ports:
  - port: {{ .Values.service.port }}
    targetPort: {{ .Values.service.port }}
    protocol: TCP
    name: http
  type: {{ .Values.service.type }}
